/**
 * 具体单价数据结构
 *
 * @author CaiAoLin
 * @date 2017/6/29
 * @version
 */
import mongoose from "mongoose";

let Schema = mongoose.Schema;
let collectionName = 'unit_price';
let modelSchema = {
    // 自增ID
    id: Number,
    // 基价单价
    base_price: String,
    // 市场单价
    market_price: String,
    // 编码
    code: String,
    // 名称
    name: String,
    // 规格型号
    specs: {
        type: String,
        default: ''
    },
    // 单位
    unit: String,
    // 类型
    type: Number,
    // 单价文件表id
    unit_price_file_id: Number,
};
let model = mongoose.model(collectionName, new Schema(modelSchema, {versionKey: false, collection: collectionName}));
export {model as default, collectionName as collectionName};